Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO] Kernel 2.6.23-r5 e drivers NVIDIA
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
pi.rosset
n00b
n00b


Joined: 05 Jan 2008
Posts: 7

PostPosted: Sun Jan 06, 2008 5:26 pm    Post subject: [RISOLTO] Kernel 2.6.23-r5 e drivers NVIDIA Reply with quote

Buongiorno a tutti, ho cercato informazioni in merito a questo problema ma non ne ho trovate, spero non ci siano e se ci fossero e non le avessi trovate, mi scuso.
Ho installato il kernel 2.6.23-r5 e xorg 7.3 ma quando ho cercato di installare i driver nvidia mi sono beccato da sandbox un ACCESS VIOLATION SUMMARY con questo testo:
Quote:
open_wr: /usr/src/linux-2.6.23-gentoo-r5/null.gcda
open_wr: /usr/src/linux-2.6.23-gentoo-r5/null.gcda
open_wr: /usr/src/linux-2.6.23-gentoo-r5/null.gcda
open_wr: /usr/src/linux-2.6.23-gentoo-r5/null.gcda
open_wr: /usr/src/linux-2.6.23-gentoo-r5/null.gcda
open_wr: /usr/src/linux-2.6.23-gentoo-r5/null.gcda

e quindi non riesco ad installarli.
Ho anche inserito questa frase in Google ma non ho trovato nessun riscontro.
Ho provato sia i drivers 100.14.19 che 100.14.23 con lo stesso esito, non ho provato con versioni inferiori.
Se però lancio sia i driver 19 che i 23 con:

sh nvidia-drivers-100.14.19 o 23

e seguo la procedura a video, come facevo qualche anno fa con distribuzioni diverse dalla Gentoo, i drivers si installano regolarmente e tutto funziona compresa l'accelerazione hardware.
Ora, il problema sarebbe risolto così, però visto che uso la Gentoo proprio per capire ciò che faccio e ciò che succede mi piacerebbe avere delle delucidazioni.
Ho visto che con le mie make.conf prima di installare i drivers mi installava altri 2 pacchetti, per cui ho anche provato a disabilitare le make per vedere: così facendo emerge -av mi dava solo il pacchetto dei drivers ma il risultato era lo stesso.
Ovviamente con il kernel 2.6.22 funziona tutto regolarmente.
Qualcuno sa darmi una spiegazione?

Grazie

Ho un amd64 athlon doppio processore (X2) i Mhz non me li ricordo, scheda madre Asrock ALiveNF7G-HDready con scheda grafica Nvidia GeForce serie 7 integrata (NV44)


Last edited by pi.rosset on Mon Feb 11, 2008 10:11 am; edited 1 time in total
Back to top
View user's profile Send private message
rete27
Tux's lil' helper
Tux's lil' helper


Joined: 26 Feb 2007
Posts: 86

PostPosted: Mon Jan 07, 2008 9:01 am    Post subject: Reply with quote

io sono passato dal kernel 2.6.22 al 23-r3 e come tutte le volte che faccio un upgrade del kernel devo sempre dare emerge nvidia-drivers e attualmente gho installato 100.14.19.

prova a vedere https://forums.gentoo.org/viewtopic.php?t=192634
_________________
Al mondo ci sono 10 tipi di persone quelle che conoscono il sistema binario e quelle che non lo conoscono...
Back to top
View user's profile Send private message
pi.rosset
n00b
n00b


Joined: 05 Jan 2008
Posts: 7

PostPosted: Tue Jan 08, 2008 8:01 am    Post subject: Reply with quote

Innanzitutto ti ringrazio per la risposta, sono andato a leggere il topic indicato (con l'inglese ho qualche problema ma in linea di massima capisco). I problemi indicati erano di tipo leggermente diverso e relativi a vecchie versioni, in ogni caso una soluzione poteva esserci e cioè:

FEATURES="-sandbox -usersandbox" ACCEPT_KEYWORDS="~x86" emerge nvidia-glx

ovviamente modificando per amd64 e nvidia-drivers, ma non ho provato in quanto il problema non è disabilitare sandbox, facendo così presumo funzioni al pari dell'installazione con sh, mi piacerebbe capire perchè sandbox dà errore e se sto sbagliando io da qualche parte qualche impostazione, se può servire posso postare il make.conf.
Tu mi confermi di aver installato il kernel 2-6-23 e con emerge nvidia-drivers ha funzionato tutto correttamente? Hai un amd64?
Io non ho fatto un upgrade ma sono partito da zero (ho diversi hard su cassetto e quindi ogni tanto provo le novità tenendomi una versione funzionante su un altro hard per evitare casini) e avevo installato solo il kernel e l'xorg esattamente come avevo fatto con il kernel 2-6-22-xx che però funziona.
In altri topic ho letto di cancellare il file null.gcda e riemergere ma nella posizione indicata il file non esiste, pensando fosse a causa della sua mancanza ho provato anche a fare un touch null.cgda in modo da crearlo ma il risultato è stato lo stesso. Ho pensato fosse una questione di permessi ma essendo root dovrei essere il padrone del mondo!
Essendo ripartito da zero il portage è aggiornato (tre o quattro giorni fa...) e quindi non dovrebbe essere neanche un problema di vecchie versioni.
Back to top
View user's profile Send private message
rete27
Tux's lil' helper
Tux's lil' helper


Joined: 26 Feb 2007
Posts: 86

PostPosted: Tue Jan 08, 2008 8:25 am    Post subject: Reply with quote

Andiamo per passi: prova più semplicemente a dare un emerge nvidia-drivers e vedere che succede e posta i log se la cosa non va a buon fine
_________________
Al mondo ci sono 10 tipi di persone quelle che conoscono il sistema binario e quelle che non lo conoscono...
Back to top
View user's profile Send private message
made
l33t
l33t


Joined: 19 Mar 2005
Posts: 608
Location: veneto

PostPosted: Tue Jan 08, 2008 8:42 am    Post subject: Reply with quote

se ti da errore per la sandbox vuol dire molto probabilmente che l'ebuild e' stato fatto male!!!!

controlla in bugs.gentoo se trovi qualcosa.

cmq per l'installazione leva la sandbox serve solo in fase di installazione,

la sandbox se non sbaglio serve per non "imporcare " il sistema con ebuild che fanno cose strane cioe' ! una sicurezza in piu'

ps: togli ACCEPT_KEYWORDS="~x86" ed usa i file in /etc/portage/package.*

cmq se non sbaglio il pacchetto si chiama nvidia-drivers
_________________
My system: cpu AMD Athlon(tm) 64 Processor 3800+,kernel 2.6.25-r1-gentoo
Back to top
View user's profile Send private message
pi.rosset
n00b
n00b


Joined: 05 Jan 2008
Posts: 7

PostPosted: Tue Jan 08, 2008 7:53 pm    Post subject: Reply with quote

Se faccio un emerge nvidia-drivers mi da l'errore che ho riportato nel primo post e l'installazione si ferma, premetto che nell'hard c'è solo il kernel, grub e xorg.
Su suggerimento di zocram ho guardato il post ma gli errori erano riferiti ad altri problemi, l'unica cosa che poteva essere plausibile era che ci volesse l'xorg-server 1.4.0.90 o giù di lì ma è esattamente la versione che ho io.
Ho provato con FEATURES="-sandbox -sandboxuser" e, come pensavo, i drivers si sono installati regolarmente così come se li avessi installati con sh.
Però, ripeto, il problema non sta lì, se hanno messo sandbox per evitare di installare pacchetti che possano creare problemi scrivendo in posti non consoni credo sia meglio utilizzarlo, e comunque con il kernel 2.6.22 non avevo di questi problemi.
Visto che avevo installato kernel e xorg con ACCEPT_KEYWORDS per avere le ultime versioni (il kernel mi sembra sia lo stesso comunque) ho anche provato a reinstallare senza ACCEPT_KEYWORDS, disabilitando anche le make.conf per sicurezza, ma continuo a beccarmi l'errore di sandbox.
E' che stavo preparando un hard per kde4 quando sarà rilasciato e volevo utilizzare il kernel 2.6.23, proverò a vedere se installando i drivers con sh o senza sandbox funzionerà il tutto, altrimenti tornerò al kernel 2.6.22.
Se avete altri suggerimenti o consigli, sono pronto a sperimentare. Grazie.
Back to top
View user's profile Send private message
pi.rosset
n00b
n00b


Joined: 05 Jan 2008
Posts: 7

PostPosted: Mon Feb 11, 2008 10:11 am    Post subject: Reply with quote

Mi rispondo da solo RTFM! Facendo un emerge --sync poi tutto funziona. Non ci avevo pensato perchè partendo da zero e installando l'utimo portage non pensavo di aver bisogno di fare l'emerge --sync e l'emerge portage.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum